package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 每学期各知识点掌握熟练度
 * @author yrf
 */
@Entity
@Table(name = "scon_knowledge_proficiency")
public class KnowledgeProficiency extends BaseEntity {

    private static final long serialVersionUID = -3125454168135089838L;

    private String vipId;
    private String subject;
    private String grade;
    private Integer semester;
    private Integer knowledgeVersion;
    private String knowledgePointMasteryJson;
    private String newKnowledgePointMasteryJson;
    private Date updateTime;
    private Date createTime;

    @Column(name = "vip_id", updatable = false)
    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public Integer getKnowledgeVersion() {
        return knowledgeVersion;
    }

    public void setKnowledgeVersion(Integer knowledgeVersion) {
        this.knowledgeVersion = knowledgeVersion;
    }

    public String getKnowledgePointMasteryJson() {
        return knowledgePointMasteryJson;
    }

    public void setKnowledgePointMasteryJson(String knowledgePointMasteryJson) {
        this.knowledgePointMasteryJson = knowledgePointMasteryJson;
    }

    public String getNewKnowledgePointMasteryJson() {
        return newKnowledgePointMasteryJson;
    }

    public void setNewKnowledgePointMasteryJson(String newKnowledgePointMasteryJson) {
        this.newKnowledgePointMasteryJson = newKnowledgePointMasteryJson;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
